# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v1.0.3](https://github.com/Raynos/reduce/compare/v1.0.2...v1.0.3) - 2024-05-23

### Commits

- [Tests] migrate to GHA [`285b9c2`](https://github.com/Raynos/reduce/commit/285b9c296c8f321de616e15b5795a74c2ea5daad)
- [meta] add autochangelog settings [`336d47c`](https://github.com/Raynos/reduce/commit/336d47cfc82334c44279398921863ee281fa212a)
- [meta] use `auto-changelog` [`2c84bba`](https://github.com/Raynos/reduce/commit/2c84bbac2c5a31cfd0c0d140a3270d05acacfc5d)
- [meta] clean up some package.json metadata [`63b6956`](https://github.com/Raynos/reduce/commit/63b69569bcb01dc90c271865457b57acd97b558d)
- [Tests] use `nyc` for coverage [`e1c54bf`](https://github.com/Raynos/reduce/commit/e1c54bf3c6222bdd88182a76ba544deed5a2cddc)
- [Dev Deps] update `@ljharb/eslint-config`, `eslint`, `tape` [`311270e`](https://github.com/Raynos/reduce/commit/311270e7e6c87bc7c9618daaa52a3f15e53c9c68)
- [Dev Deps] list `aud` explicitly [`e5080e1`](https://github.com/Raynos/reduce/commit/e5080e1972133c332ecc31658607126cc47e80cf)
- [meta] add `SECURITY.md` [`4bb7107`](https://github.com/Raynos/reduce/commit/4bb710717646303098dda4a15cac324b9bf3f367)
- [meta] add missing `engines.node` [`fe78d29`](https://github.com/Raynos/reduce/commit/fe78d295eef18507f595d4562ca59d77164d338d)
- [Deps] update `object-keys` [`52f927b`](https://github.com/Raynos/reduce/commit/52f927b906beb16f72b43cc3ccb2647a0ce62c98)

## [v1.0.2](https://github.com/Raynos/reduce/compare/v1.0.1...v1.0.2) - 2019-03-01

### Commits

- [Tests] test on all the nodes; use `nvm install-latest-npm` [`55bb533`](https://github.com/Raynos/reduce/commit/55bb533958684a168d17c67f5a6861c83389fe8d)
- [Tests] remove `jscs`, add `eslint`; run linting as part of pretest [`1fa2005`](https://github.com/Raynos/reduce/commit/1fa2005f2bdad2199f8ed04b00103bff9dff662a)
- Add semicolons. [`48e19b2`](https://github.com/Raynos/reduce/commit/48e19b2405e4beb98f1fd7caadab770eac81ee08)
- Use multiple var statements and comma-last. [`2367ab1`](https://github.com/Raynos/reduce/commit/2367ab11a59d159c4a23d756eea6646b66c16523)
- Update `tape`, `covert`, `jscs`, `object-keys` [`e11f0ba`](https://github.com/Raynos/reduce/commit/e11f0baa4b371abfe0312765d754c6c48c4b0d01)
- Consistent quotes. [`c12d433`](https://github.com/Raynos/reduce/commit/c12d433363f77bbdb4308324268ae8431a1e9f0a)
- [Dev Deps] update `tape`, `jscs` [`34fa499`](https://github.com/Raynos/reduce/commit/34fa4995659160974fbf5be96ebb5c59e4d05907)
- Test up to `io.js` `v2.3` [`d2e9f7b`](https://github.com/Raynos/reduce/commit/d2e9f7bb37f93c85a2d8154b888fb28f4f42d2f0)
- Only apps should have lockfiles [`0903a75`](https://github.com/Raynos/reduce/commit/0903a75550f4bd81c0aa63fb5e3557c5ec479485)
- All grade A-supported `node`/`iojs` versions now ship with an `npm` that understands `^`. [`c929e4f`](https://github.com/Raynos/reduce/commit/c929e4f263bfc2f4512ea3126cf5460f4d5bfa2c)
- [Dev Deps] update `covert`, `jscs`, `tape` [`83286af`](https://github.com/Raynos/reduce/commit/83286af37aca644e2e632ef07a210cb892461836)
- [Docs] rip testling [`729f840`](https://github.com/Raynos/reduce/commit/729f840cac7fe40f3e3f0978465fec861d51f97d)
- Update `object-keys`, `tape`, `jscs` [`86abca7`](https://github.com/Raynos/reduce/commit/86abca7075f278a74ea648addc7b6fe0c9ea9c44)
- Run `travis-ci` tests on `node` v0.12; speed up builds; allow 0.8 failures. [`f97e829`](https://github.com/Raynos/reduce/commit/f97e829866d8ae1ce0e5087ba8e1cb207b40815e)
- Naming testling-ci URLs in README [`5ff28c4`](https://github.com/Raynos/reduce/commit/5ff28c48bd80a7dcbef5ba682de3df3b893c27b6)
- Naming travis-ci URLs in README [`a261554`](https://github.com/Raynos/reduce/commit/a261554c2f7d76317422e1161148576db9bb0f04)
- Test up to `io.js` `v3.0` [`214961d`](https://github.com/Raynos/reduce/commit/214961dd13e5ac6dd414a51cf4866943b11c0f6a)
- Update `object-keys`, `tape` [`81fda4b`](https://github.com/Raynos/reduce/commit/81fda4b412abcb163c983df88b04e404a574112d)
- [Tests] use `npx aud` (ie, `npm audit`) [`b0f0c95`](https://github.com/Raynos/reduce/commit/b0f0c950a9657578fc9578e797a99810eaa503cc)
- [Deps] update `object-keys` [`dca9528`](https://github.com/Raynos/reduce/commit/dca95283f2575681045e117c76fa319183ecdebe)
- [Dev Deps] update `tape` [`ced867a`](https://github.com/Raynos/reduce/commit/ced867a296b263ca40b13b889b1daeec779ce5ce)
- Update `covert` [`3e2c016`](https://github.com/Raynos/reduce/commit/3e2c01679f89e4616e2b12331c0372ab2127c43a)
- Updating jscs [`cbd0fb7`](https://github.com/Raynos/reduce/commit/cbd0fb7d208f7dfa128b5f87be02d57c037ae707)
- Updating tape [`7d2f379`](https://github.com/Raynos/reduce/commit/7d2f3796ee33cfbd7e25302018bd4a19634d46c3)
- Updating object-keys [`c6e82ed`](https://github.com/Raynos/reduce/commit/c6e82edbb4f9e89f90dca21e7bf229b7e23c04c8)
- Updating jscs [`e386d79`](https://github.com/Raynos/reduce/commit/e386d791087ef3f6919aa69ddde70a1010a7403e)
- Updating jscs [`931357d`](https://github.com/Raynos/reduce/commit/931357da459e8ee1c5628fc86d05ecbd72e168e5)

## [v1.0.1](https://github.com/Raynos/reduce/compare/v1.0.0...v1.0.1) - 2014-08-26

### Commits

- Adding `npm run lint` [`cfbb90e`](https://github.com/Raynos/reduce/commit/cfbb90e77c0a17ea853718b90c40629254cab49c)
- Use SVG instead of PNG badge [`857bf4c`](https://github.com/Raynos/reduce/commit/857bf4ce0f4c1dd9eebfa5c57cd3b80ef2a4d834)
- Run linter as part of tests [`f3bc7f3`](https://github.com/Raynos/reduce/commit/f3bc7f3aff359c69d65eefddd9cc975d6fd2d0c5)
- Run code coverage as part of tests. [`d162539`](https://github.com/Raynos/reduce/commit/d162539b9492e3115eccf17c9bb10f64c384bdd9)

## [v1.0.0](https://github.com/Raynos/reduce/compare/v0.1.2...v1.0.0) - 2014-08-11

### Merged

- Updating dependencies [`#8`](https://github.com/Raynos/reduce/pull/8)
- Argument length [`#7`](https://github.com/Raynos/reduce/pull/7)
- Forgot to fix these tests [`#6`](https://github.com/Raynos/reduce/pull/6)

### Commits

- Make sure travis doesn't fail in unstable and old nodes; update npm whenever possible [`9ca9463`](https://github.com/Raynos/reduce/commit/9ca9463e2b340b90b8f6f46b30d78e8c423873bc)
- Removing context and accumulator as required params [`2c00a3c`](https://github.com/Raynos/reduce/commit/2c00a3ccf1ca99b7bfe5031e67b8f447b92480aa)
- Forgot to fix these tests. [`6e7dc6d`](https://github.com/Raynos/reduce/commit/6e7dc6d1a01ea154eb37968ce434d95d53cdf1ee)
- Adding `npm run coverage` [`2bb2059`](https://github.com/Raynos/reduce/commit/2bb2059c5b0cf0dd19c26aae7e87f632af57c5cd)
- Adding a test for reduce's length. [`9151b5c`](https://github.com/Raynos/reduce/commit/9151b5c7777f9b4fac82a20217940fc1196787d5)
- Adding a test for TypeError [`60dfae3`](https://github.com/Raynos/reduce/commit/60dfae3ce4d6bcdc8a8e6acf682b753ff011adc1)
- Updating deps [`1dfc7b6`](https://github.com/Raynos/reduce/commit/1dfc7b6aefbda0e6bd7439ab68e554c1cf28fa46)
- Updating deps [`e2b15d4`](https://github.com/Raynos/reduce/commit/e2b15d4475526026380f3cec4ac712ea694ff23b)
- Updating covert [`13219a7`](https://github.com/Raynos/reduce/commit/13219a78bc2d2f063cac22270dfed9d7c1a5a4f3)
- Updating object-keys [`8035c80`](https://github.com/Raynos/reduce/commit/8035c807909ef8b6e3bed90f8f413121a4d237ad)
- Updating tape [`39f0ecf`](https://github.com/Raynos/reduce/commit/39f0ecf6357869af553930510cf1a195690299ae)
- Updating tape [`37c2079`](https://github.com/Raynos/reduce/commit/37c207918626e43f8ef565a3a0a34c6bce9650db)
- Updating covert [`c0e7bd3`](https://github.com/Raynos/reduce/commit/c0e7bd378264d010509a38152e11219b14fa2412)
- Updating tape [`59c037d`](https://github.com/Raynos/reduce/commit/59c037d5d5fa20373fd08e40c4cc9538b65e476d)
- Updating object-keys. [`b6db3d1`](https://github.com/Raynos/reduce/commit/b6db3d1a3e4cfc5755c09aa4e565523d3dc522f6)
- Updating tape [`02225f3`](https://github.com/Raynos/reduce/commit/02225f3d6677bbced966cd556bba371b9fd91e3b)
- Updating tape. [`1beaf04`](https://github.com/Raynos/reduce/commit/1beaf0418d026e09630592ffa1de7093212ee77a)

## [v0.1.2](https://github.com/Raynos/reduce/compare/v0.1.1...v0.1.2) - 2013-05-23

### Commits

- merge in master [`e1c9fd4`](https://github.com/Raynos/reduce/commit/e1c9fd463f7b38a925c70a8427e42f7be3b5e777)
- remove g [`b5529c6`](https://github.com/Raynos/reduce/commit/b5529c6f792502486cb89a9930cb82134247327f)

## [v0.1.1](https://github.com/Raynos/reduce/compare/v0.1.0...v0.1.1) - 2013-05-10

### Merged

- use tape instead of tap [`#4`](https://github.com/Raynos/reduce/pull/4)
- Use testling [`#2`](https://github.com/Raynos/reduce/pull/2)
- Adding node 0.10 [`#3`](https://github.com/Raynos/reduce/pull/3)

### Commits

- Removing sinon dependency. [`a9e400b`](https://github.com/Raynos/reduce/commit/a9e400bfd9127098faa42f51f0cdf34e05c9b887)
- Adding testling info. [`28ce5a0`](https://github.com/Raynos/reduce/commit/28ce5a03f52a2a8b897966f0336af2ead55edd25)
- Using tape instead of tap. [`84a9a88`](https://github.com/Raynos/reduce/commit/84a9a882d4866cde40d9fc7a6bba7e8b9678090d)
- Updating readme. [`756a651`](https://github.com/Raynos/reduce/commit/756a6516840d9339b63eb025801685d974b3cd01)
- Use object-keys [`6c236ed`](https://github.com/Raynos/reduce/commit/6c236ed5a825869a99d2a75ad1ae842530b6e08d)
- Add object-keys. [`2e64e09`](https://github.com/Raynos/reduce/commit/2e64e09cb630e6cb654a1ff40dbf3b22ab5841db)
- Update dependencies. [`78ceeb8`](https://github.com/Raynos/reduce/commit/78ceeb8e9da45ccf6a8138b7a57b0a69ea99f9a5)
- Updating object-keys [`18e416a`](https://github.com/Raynos/reduce/commit/18e416a484b69552f6a9e6e5a2e4dba8ef4d682c)
- Upgrading tap. [`104bc88`](https://github.com/Raynos/reduce/commit/104bc88d8ec56780ba69f48aad935865ef277cf3)
- Merge pull request #1 from ljharb/use_object_keys [`6659cd5`](https://github.com/Raynos/reduce/commit/6659cd586f062447036a283fed8316bd2a5c0d09)

## v0.1.0 - 2012-10-02

### Commits

- first [`e2fe45a`](https://github.com/Raynos/reduce/commit/e2fe45a9ceef126df138d2ba347718170f91879b)
- polish [`5135c22`](https://github.com/Raynos/reduce/commit/5135c222a1f79344305e421f6bf7f37c1940fee8)
